Subject: Re: [dhcwg] Can a DHCPv4 server REPLY to non-standard port.

From: Senthil Kumar B <[email-masked]>
Date: Thu, 06 Mar 2003 20:48:58 +0530

Thanks for your reply. Have you heard of any commerical/operational 
implementation of DHCP/BOOTP server which replies to a non-standard port.

If the server is the replying to a non-standard port, will be there any 
security issues.?

For example, any non root users can write a program which sends 
continuous request and get all the IP addresses leading to DoS attack.

would really appreciate your help.

Ted Lemon wrote:

>> We respond to the source port the client is using, but allow the 
>> administrator
>> to override this at the server. It seemed like a bad idea to respond 
>> to a
>> fixed port if no communication had been initiated from that port.
>
>
> The RFC is explicit about the port numbers to use when sending 
> messages.   If you send to or from other ports, you are not doing 
> DHCP.   Which is not to say that what you are doing is wrong for the 
> particular case you're working on, but it isn't what's stated in the 
> protocol specification.   You can't count on being able to 
> interoperate successfully with conforming devices if you don't use the 
> port numbers that the standard requires.
>
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dhcwg
>

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: Ted Lemon <[email-masked]>
Date: Thu, 6 Mar 2003 10:42:30 -0600

> If the server is the replying to a non-standard port, will be there 
> any security issues.?
>

The distinction between root and non-root is pretty elusive in this day 
and age.   I wouldn't worry about it - if someone wants to do a 
DHCP-based DoS attack, they will be able to do it.